function pobierzAlbumy(){
	var req = createReq();
	if(req == null){
		alert("nie udalo sie stworzyc obiektu!");
		return;
	}
	var url = "kolekcja.xml";
	req.open("GET", url, true);
	req.onreadystatechange = function(){
		if(isReady(req)){
			parsujXML(req.responseXML);
		}
	}
	req.send(null);
}

function parsujXML(xml){
	var xml = xml;
	var albumy = xml.getElementsByTagName("album");
	
	for(var i=0; i<albumy.length; i++){
		var id = albumy[i].getAttribute("id");
		var tytul = albumy[i].getElementsByTagName("tytul")[0].firstChild.nodeValue;
		var wykonawca = albumy[i].getElementsByTagName("wykonawca")[0].firstChild.nodeValue;
		var utworyList = albumy[i].getElementsByTagName("utwor");
		var utwory = new Object();
		
		var okno = window.open('');
		for(var i=0; i<utworyList.length; i++){
			var klucz = utworyList[i].firstChild.nodeValue;
			var wartosc = utworyList[i].getAttribute("czas");
			okno.write(utwory[klucz]+" = "+wartosc+"<br/>");
		}
		
		//drukujAlbum(id, tytul, wykonawca, utwory);
	}
}

window.onload = function(){
	pobierzAlbumy();
}